implementation module TeamMiniEffie

import StdEnv, StdIO
import MiniEffieFootballer

Team_MiniEffies :: Home FootballField -> Team
Team_MiniEffies home field	= [keeper : fielders]
where
	clubname				= base_TeamName_MiniEffie +++ if (home == West) "W" "E"
	keeper					= MiniEffie clubname home field position_keeper 1
	middle_x				= field.flength/2.0
	fieldwidth				= field.fwidth
	fielders				= [  MiniEffie clubname home field position nr
							  \\ position <- positions_fielders
							   & nr       <- [2..]
							  ]
	position_keeper			= if (home == West) west_position_keeper    (mirror field west_position_keeper)
	positions_fielders		= if (home == West) west_positions_fielders (mirror field west_positions_fielders)
	west_position_keeper	= {zero & py = 0.5*fieldwidth}
	west_positions_fielders	= [{px = 0.20 * middle_x, py = 0.30 * fieldwidth}
							  ,{px = 0.20 * middle_x, py = 0.70 * fieldwidth}
							  ,{px = 0.23 * middle_x, py = 0.50 * fieldwidth}
							  ,{px = 0.50 * middle_x, py = 0.05 * fieldwidth}
							  ,{px = 0.50 * middle_x, py = 0.95 * fieldwidth}
							  ,{px = 0.60 * middle_x, py = 0.50 * fieldwidth}
							  ,{px = 0.70 * middle_x, py = 0.15 * fieldwidth}
							  ,{px = 0.70 * middle_x, py = 0.85 * fieldwidth}
							  ,{px = 0.90 * middle_x, py = 0.45 * fieldwidth}
							  ,{px = 0.90 * middle_x, py = 0.55 * fieldwidth}
							  ]

base_TeamName_MiniEffie :: String
base_TeamName_MiniEffie = "MiniEffies"
